diff --git a/Palette.py b/Palette.py
index 8904ed5..ccb458d 100644
--- a/Palette.py
+++ b/Palette.py
@@ -372,6 +372,10 @@ class PanelPalettePage(wx.Panel, BasePalettePage):
         parent.AddPage(self, name)
         self.posX = self.buttonSep/2
         self.posY = (self.GetSize().y -(24+self.buttonBorder))/2
+        # on __init__  use self.GetSize() value may by error
+        #  on windows 7, if use aero effect, self.GetSize() return 30, self.posY = -1
+        #  if not use aero effect, self.GetSize() return 41, self.posY = 5
+        print 'PanelPalettePage.__init__(size=(44, 44), ...) self.GetSize().y =', self.GetSize().y, '(self.GetSize().y-31)/2 =', self.posY
         self.eventOwner = eventOwner
         self.menu =wx.Menu()
         self.menusCheckable = False
@@ -405,6 +409,10 @@ class PanelPalettePage(wx.Panel, BasePalettePage):
         width = bmp.GetWidth() + self.buttonBorder
         height = bmp.GetHeight() + self.buttonBorder
 
+        # if self.posY==-1, wx.lib.buttons.Get*Button may be not visible.
+        #  Must change palette panel size.
+        if self.posY == -1:
+            self.posY = 0
         newButton = btnType(self, mID, None, wx.Point(self.posX, self.posY),
                            wx.Size(width, height))
 
